1.2.0 prep
authorMorgan Haskel <morgan@puppetlabs.com>
Mon, 3 Nov 2014 19:56:26 +0000 (11:56 -0800)
committerMorgan Haskel <morgan@puppetlabs.com>
Mon, 3 Nov 2014 19:56:26 +0000 (11:56 -0800)
CHANGELOG.md [moved from CHANGELOG with 76% similarity]
metadata.json

similarity index 76%
rename from CHANGELOG
rename to CHANGELOG.md
index 1eefd22..5b8f7d1 100644 (file)
--- a/CHANGELOG
@@ -1,43 +1,55 @@
-2014-07-14 - Supported Release 1.1.0
-Summary:
+##2014-11-04 - Supported Release 1.2.0
+###Summary
+
+This release includes some improvements for git, mercurial, and cvs providers, and fixes the bug where there were warnings about multiple default providers.
+
+####Features
+- Update git and mercurial providers to set UID with `Puppet::Util::Execution.execute` instead of `su`
+- Allow git excludes to be string or array
+- Add `user` feature to cvs provider
+
+####Bugfixes
+- No more warnings about multiple default providers! (MODULES-428)
+
+##2014-07-14 - Supported Release 1.1.0
+###Summary
 This release adds a Perforce provider* and corrects the git provider behavior
 when using `ensure => latest`.
 
 *(Only git provider is currently supported.)
 
-Features:
+####Features
 - New Perforce provider
 
-Bugfixes:
+####Bugfixes
 - (MODULES-660) Fix behavior with `ensure => latest` and detached HEAD
 - Spec test fixes
-2014-06-30 - Supported Release 1.0.2
-Summary:
+
+##2014-06-30 - Supported Release 1.0.2
+###Summary
 This supported release adds SLES 11 to the list of compatible OSs and
 documentation updates for support.
 
-2014-06-17 - Supported Release 1.0.1
-
-Summary:
+##2014-06-17 - Supported Release 1.0.1
+###Summary
 This release is the first supported release of vcsrepo. The readme has been
 greatly improved.
 
-Features:
+####Features
 - Updated and expanded readme to follow readme template
 
-Fixes:
+####Fixes
 - Remove SLES from compatability metadata
 - Unpin rspec development dependencies
 - Update acceptance level testing
 
-2014-06-04 - Version 1.0.0
-
-Summary:
+##2014-06-04 - Version 1.0.0
+###Summary
 
 This release focuses on a number of bugfixes, and also has some
 new features for Bzr and Git.
 
-Features:
+####Features
 - Bzr:
  - Call set_ownership
 - Git:
@@ -45,7 +57,7 @@ Features:
  - Use -a and desired for HARD resets
  - Use rev-parse to get tag canonical revision
 
-Fixes:
+####Fixes
 - HG:
  - Only add ssh options when it's talking to the network
 - Git:
@@ -56,15 +68,14 @@ Fixes:
 - SVN:
  - Fix svnlook behavior with plain directories
 
-2013-11-13 - Version 0.2.0
-
-Summary:
+##2013-11-13 - Version 0.2.0
+###Summary
 
 This release mainly focuses on a number of bugfixes, which should
 significantly improve the reliability of Git and SVN.  Thanks to
 our many contributors for all of these fixes!
 
-Features:
+####Features
 - Git:
  - Add autorequire for Package['git']
 - HG:
@@ -77,7 +88,7 @@ Features:
 - CVS:
  - Allow for setting the CVS_RSH environment variable.
 
-Fixes:
+####Fixes
 - Handle Puppet::Util[::Execution].withenv for 2.x and 3.x properly.
 - Change path_empty? to not do full directory listing.
 - Overhaul spec tests to work with rspec2.
index 8f78acd..242583a 100644 (file)
@@ -1,12 +1,12 @@
 {
   "name": "puppetlabs-vcsrepo",
-  "version": "1.1.0",
+  "version": "1.2.0",
   "author": "Puppet Labs",
   "summary": "Puppet module providing a type to manage repositories from various version control systems",
   "license": "GPLv2",
   "source": "https://github.com/puppetlabs/puppetlabs-vcsrepo",
   "project_page": "https://github.com/puppetlabs/puppetlabs-vcsrepo",
-  "issues_url": "https://github.com/puppetlabs/puppetlabs-vcsrepo/issues",
+  "issues_url": "https://tickets.puppetlabs.com/browse/MODULES",
   "operatingsystem_support": [
     {
       "operatingsystem": "RedHat",
@@ -43,7 +43,9 @@
     {
       "operatingsystem": "SLES",
       "operatingsystemrelease": [
-        "11 SP1"
+        "10 SP4",
+        "11 SP1",
+        "12"
       ]
     },
     {
@@ -65,7 +67,7 @@
   "requirements": [
     {
       "name": "pe",
-      "version_requirement": ">= 3.2.0 < 3.4.0"
+      "version_requirement": "3.x"
     },
     {
       "name": "puppet",